Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class StateNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.CompositeNode
                      org.jbpm.workflow.core.node.CompositeContextNode
                          org.jbpm.workflow.core.node.StateNode

All Implemented Interfaces:
  Serializable, Contextable, ContextContainer, ContextResolver, Constrainable, EventNodeInterface, Node, NodeContainer

    public class StateNode

extends CompositeContextNode
implements Constrainable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode
`CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`StateNode()`

Method Summary
`void` | `addConstraint(ConnectionRef connectionRef, Constraint constraint)` Adds the given constraint.
`Constraint` | `getConstraint(Connection connection)`
`Constraint` | `getConstraint(String name)`
`Map<ConnectionRef,Constraint>` | `getConstraints()`
`void` | `setConstraint(Connection connection, Constraint constraint)`
`void` | `setConstraints(Map<ConnectionRef,Constraint> constraints)`

Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode
`addContext, getContext, getContexts, getDefaultContext, resolveContext, setDefaultContext`

Methods inherited from class org.jbpm.workflow.core.node.CompositeNode
`acceptsEvent, addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateNode

    public StateNode()

Method Detail

### setConstraints

    public void setConstraints(Map<ConnectionRef,Constraint> constraints)

### setConstraint

    public void setConstraint(Connection connection,
                              Constraint constraint)

  Overrides:
    `setConstraint` in class `NodeImpl`

### addConstraint

    public void addConstraint(ConnectionRef connectionRef,
                              Constraint constraint)

  Description copied from interface: `Constrainable`
  Adds the given constraint. In cases where the constraint is associated with a specific connection, this connection will be identified using a ConnectionRef. In other cases the ConnectionRef will be null and can be ignored.

  Specified by:
    `addConstraint` in interface `Constrainable`
  Overrides:
    `addConstraint` in class `NodeImpl`

### getConstraint

    public Constraint getConstraint(String name)

### getConstraints

    public Map<ConnectionRef,Constraint> getConstraints()

  Overrides:
    `getConstraints` in class `NodeImpl`

### getConstraint

    public Constraint getConstraint(Connection connection)

  Overrides:
    `getConstraint` in class `NodeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.